package com.steerinfo.dil.controller;

import com.steerinfo.dil.model.FormData;
import com.steerinfo.dil.service.IFormDataService;
import com.steerinfo.framework.controller.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;

/**
 * @Author zhangnan
 * @Date 2021/7/6 9:14
 * @Version 1.0
 */

@RestController
@RequestMapping("/${api.version}/fromData")
public class FormDataController extends BaseRESTfulController {

    @Autowired
    IFormDataService formDataService;

    @ApiOperation(value="查询formData")
    @GetMapping("/{formDataId}")
    public RESTfulResult getFormData(@PathVariable("formDataId") Integer formDataId){
        return success(formDataService.getFormData(formDataId));
    }

    @ApiOperation(value="新增formData")
    @PostMapping("/insert")
    @Transactional
    public RESTfulResult insert(@RequestBody FormData formData){
        BigDecimal formDataId = formDataService.getFormDataId();
        formData.setFormDataId(formDataId);
        formDataService.insertFormData(formData);
        return success(formDataId);
    }

    @ApiOperation(value="修改formData")
    @PostMapping("/update")
    @Transactional
    public RESTfulResult update(@RequestBody FormData formData){
        formDataService.updateFormData(formData);
        return success();
    }
}
