package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(value="表单数据")
public class FormData implements IBasePO<BigDecimal> {
    /**
     * 表单id(FORM_DATA_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="表单id",required=true)
    private BigDecimal formDataId;

    /**
     * 表单名称(FORM_DATA_NAME,VARCHAR,200)
     */
    @ApiModelProperty(value="表单名称",required=false)
    private String formDataName;

    /**
     * json数据(FORM_DATA_JSON,VARCHAR,4000)
     */
    @ApiModelProperty(value="json数据",required=false)
    private String formDataJson;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.formDataId;
    }

    @Override
    public void setId(BigDecimal formDataId) {
        this.formDataId = formDataId;
    }

    public BigDecimal getFormDataId() {
        return formDataId;
    }

    public void setFormDataId(BigDecimal formDataId) {
        this.formDataId = formDataId;
    }

    public String getFormDataName() {
        return formDataName;
    }

    public void setFormDataName(String formDataName) {
        this.formDataName = formDataName == null ? null : formDataName.trim();
    }

    public String getFormDataJson() {
        return formDataJson;
    }

    public void setFormDataJson(String formDataJson) {
        this.formDataJson = formDataJson == null ? null : formDataJson.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", formDataId=").append(formDataId);
        sb.append(", formDataName=").append(formDataName);
        sb.append(", formDataJson=").append(formDataJson);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
