package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.ApiMapper;
import com.steerinfo.dil.mapper.ColumnDataMapper;
import com.steerinfo.dil.model.Api;
import com.steerinfo.dil.model.ColumnData;
import com.steerinfo.dil.service.IColumnDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Author zhangnan
 * @Date 2021/6/18 8:45
 * @Version 1.0
 */
@Service
@RestController
@ApiIgnore
public class ColumnDataService implements IColumnDataService {

    @Autowired
    ColumnDataMapper columnDataMapper;

    @Autowired
    ApiMapper apiMapper;


    @RequestMapping("getColumnData")
    @Override
    public List<Map<String, Object>> getColumnData(Integer apiId) {
        return columnDataMapper.selectColumnDataById(apiId);
    }

    @Override
    public Integer insertColumnData(ColumnData columnData) {
        return columnDataMapper.insert(columnData);
    }

    @Override
    public Integer insertApi(Api api) {
        return apiMapper.insert(api);
    }

    @Override
    public BigDecimal getDataId() {
        BigDecimal id = columnDataMapper.selectDataId();
        return id ==null?new BigDecimal(1):id;
    }

    @Override
    public BigDecimal getApiId() {
        BigDecimal id = columnDataMapper.selectApiId();
        return id ==null?new BigDecimal(1):id;
    }

    @Override
    public List<Map<String, Object>> getColumnDataById(Integer apiId) {
        return columnDataMapper.selectColumnDataById(apiId);
    }

    @Override
    public List<Map<String, Object>> getUserTabColumns(String TableName) {
        return columnDataMapper.selectUserTabColumns(TableName);
    }

    @Override
    public List<Map<String, Object>> getUserTabs() {
        return columnDataMapper.selectUserTabs();
    }

    @Override
    public Integer updateColumnData(ColumnData columnData) {
        return columnDataMapper.updateByPrimaryKeySelective(columnData);

    }

    @Override
    public Integer updateApi(Api api) {
        return apiMapper.updateByPrimaryKeySelective(api);
    }

    @Override
    public Integer deleteByApiId(BigDecimal apiId) {
        return columnDataMapper.deleteByApiId(apiId);
    }
}
