package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.FormDataMapper;
import com.steerinfo.dil.model.FormData;
import com.steerinfo.dil.service.IFormDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Author zhangnan
 * @Date 2021/7/6 9:43
 * @Version 1.0
 */
@Service
public class FormDataService implements IFormDataService {

    @Autowired
    FormDataMapper formDataMapper;

    @Override
    public Map<String, Object> getFormData(Integer formDataId) {
        return formDataMapper.selectFormData(formDataId);
    }

    @Override
    public int insertFormData(FormData formData) {
        return formDataMapper.insert(formData);
    }

    @Override
    public BigDecimal getFormDataId() {
        BigDecimal id = formDataMapper.selectFormDataId();
        return id ==null?new BigDecimal(1):id;
    }

    @Override
    public int updateFormData(FormData formData) {
        return formDataMapper.updateByPrimaryKeySelective(formData);
    }
}
